| Bsoft 2.0.5 Bernard's software package

Public Member Functions | List of all members
Bpage Class Reference

`#include <Bplot.h>`

## Public Member Functions
| Bpage ()
| Bpage (long n, long ncol)
Bstring & | title ()
void | title (const Bstring &t)
void | title (const char *t)
void | number (long n)
long | number ()
void | columns (long ncol)
long | columns ()
Bcolumn & | column (long i)
void | axes ()
Baxis & | axis (long id)
Bstring * | text ()
void | add_text (Bstring &s)
void | limits ()

## Detailed Description

Definition at line 83 of file Bplot.h.

## Constructor & Destructor Documentation

## ◆ Bpage() [1/2]

Bpage::Bpage | ( |  | ) |
| inline

Definition at line 97 of file Bplot.h.

## ◆ Bpage() [2/2]

Bpage::Bpage | ( | long | n,
|  | long | ncol
| ) |  |
| inline

Definition at line 98 of file Bplot.h.

## Member Function Documentation

## ◆ add_text()

void Bpage::add_text | ( | Bstring & | s | ) |
| inline

Definition at line 122 of file Bplot.h.

## ◆ axes()

void Bpage::axes | ( |  | ) |
| inline

Definition at line 116 of file Bplot.h.

## ◆ axis()

Baxis& Bpage::axis | ( | long | id | ) |
| inline

Definition at line 117 of file Bplot.h.

## ◆ column()

Bcolumn& Bpage::column | ( | long | i | ) |
| inline

Definition at line 110 of file Bplot.h.

## ◆ columns() [1/2]

void Bpage::columns | ( | long | ncol | ) |
| inline

Definition at line 105 of file Bplot.h.

## ◆ columns() [2/2]

long Bpage::columns | ( |  | ) |
| inline

Definition at line 109 of file Bplot.h.

## ◆ limits()

void Bpage::limits | ( |  | ) |
| inline

Definition at line 123 of file Bplot.h.

## ◆ number() [1/2]

void Bpage::number | ( | long | n | ) |
| inline

Definition at line 103 of file Bplot.h.

## ◆ number() [2/2]

long Bpage::number | ( |  | ) |
| inline

Definition at line 104 of file Bplot.h.

## ◆ text()

Bstring* Bpage::text | ( |  | ) |
| inline

Definition at line 121 of file Bplot.h.

## ◆ title() [1/3]

Bstring& Bpage::title | ( |  | ) |
| inline

Definition at line 100 of file Bplot.h.

## ◆ title() [2/3]

void Bpage::title | ( | const Bstring & | t | ) |
| inline

Definition at line 101 of file Bplot.h.

## ◆ title() [3/3]

void Bpage::title | ( | const char * | t | ) |
| inline

Definition at line 102 of file Bplot.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/Bplot.h